Bug 1742890 - 4K display not working since 5.2.x for Intel HD Graphics on Dell Latitude e5440
Summary: 4K display not working since 5.2.x for Intel HD Graphics on Dell Latitude e5440
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 30
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-17 11:39 UTC by Mykel Alvis
Modified: 2019-10-11 14:44 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
journalctl -b -k --no-hostname --no-pager (77.27 KB, text/plain)
2019-08-17 11:39 UTC, Mykel Alvis
no flags Details

Description Mykel Alvis 2019-08-17 11:39:44 UTC
Created attachment 1605225 [details]
journalctl -b -k --no-hostname --no-pager

1. Please describe the problem:
When updating to a kernel version later than 5.1.20 (the last "working" version I installed), the 4K monitor connected to -> Dell Latitude E5440 via ->  Dell docking station via -> displayport connector is not available.


2. What is the Version-Release number of the kernel:
anything post 5.1.20 for me, but specifically 5.2.x+

3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :
First appeared when updating kernel to 5.2.5.  

4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:
The issue reproduces reliably.  Update of kernel to anything post 5.1.20 and rebooting causes a blank screen.  The dis


5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:

I lacked the courage and resolve to do this previously.  I will do so after posting this report.


6. Are you running any modules that not shipped with directly Fedora's kernel?:
Unsure.  

7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

Attached result of ``journalctl -b -k --no-hostname --no-pager ``

Comment 1 Mykel Alvis 2019-08-17 11:50:51 UTC
After girding myself, taking a calming shot of tequila,  and attempting to perform step 5 above, I experienced the following


$ sudo dnf install fedora-repos-rawhide
keybase                                                                                                                                                                  20 kB/s | 3.3 kB     00:00    
Dependencies resolved.
========================================================================================================================================================================================================
 Package                                                    Architecture                                 Version                                     Repository                                    Size
========================================================================================================================================================================================================
Installing:
 fedora-repos-rawhide                                       noarch                                       30-1                                        fedora                                       8.5 k

Transaction Summary
========================================================================================================================================================================================================
Install  1 Package

Total download size: 8.5 k
Installed size: 4.0 k
Is this ok [y/N]: y
Downloading Packages:
fedora-repos-rawhide-30-1.noarch.rpm                                                                                                                                     39 kB/s | 8.5 kB     00:00    
--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                    19 kB/s | 8.5 kB     00:00     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                                                                                                                1/1 
  Installing       : fedora-repos-rawhide-30-1.noarch                                                                                                                                               1/1 
  Verifying        : fedora-repos-rawhide-30-1.noarch                                                                                                                                               1/1 

Installed:
  fedora-repos-rawhide-30-1.noarch                                                                                                                                                                      

Complete!
[mykel.alvis@demon ~]$ sudo dnf update --enablerepo=rawhide kernel
Fedora - Rawhide - Developmental packages for the next Fedora release                                                                                                   8.7 MB/s |  62 MB     00:07    
Last metadata expiration check: 0:00:25 ago on Sat 17 Aug 2019 06:41:38 AM CDT.
Modular dependency problems:

 Problem 1: conflicting requests
  - nothing provides module(platform:f30) needed by module stratis:1:3020190306064421:a5b0195c-0.x86_64
 Problem 2: conflicting requests
  - nothing provides module(platform:f30) needed by module standard-test-roles:3.0:3020190319161255:a5b0195c-0.x86_64
 Problem 3: conflicting requests
  - nothing provides module(platform:f30) needed by module rpick:latest:3020190313083345:a5b0195c-0.x86_64
 Problem 4: conflicting requests
  - nothing provides module(platform:f30) needed by module ripgrep:latest:3020190403201826:a5b0195c-0.x86_64
 Problem 5: conflicting requests
  - nothing provides module(platform:f30) needed by module newsboat:latest:3020190325084033:a5b0195c-0.x86_64
 Problem 6: conflicting requests
  - nothing provides module(platform:f30) needed by module meson:latest:3020190310183600:36245242-0.x86_64
 Problem 7: conflicting requests
  - nothing provides module(platform:f30) needed by module hyperfine:latest:3020190318171218:a5b0195c-0.x86_64
 Problem 8: conflicting requests
  - nothing provides module(platform:f30) needed by module heatseeker:latest:3020190309110310:a5b0195c-0.x86_64
 Problem 9: conflicting requests
  - nothing provides module(platform:f30) needed by module gimp:2.10:3020190304180601:a5b0195c-0.x86_64
 Problem 10: conflicting requests
  - nothing provides module(platform:f30) needed by module ffsend:latest:3020190407071859:a5b0195c-0.x86_64
 Problem 11: conflicting requests
  - nothing provides module(platform:f30) needed by module exa:latest:3020190306064823:e50d0d19-0.x86_64
 Problem 12: conflicting requests
  - nothing provides module(platform:f30) needed by module bat:latest:3020190307100850:e50d0d19-0.x86_64
 Problem 13: conflicting requests
  - nothing provides module(platform:f30) needed by module avocado:stable:3020190304180315:a5b0195c-0.x86_64
 Problem 14: conflicting requests
  - nothing provides module(platform:f30) needed by module zram-generator:rolling:3020190722194140:a23e773d-0.x86_64
 Problem 15: conflicting requests
  - nothing provides module(platform:f30) needed by module zola:rolling:3020190721175731:a23e773d-0.x86_64
 Problem 16: conflicting requests
  - nothing provides module(platform:f30) needed by module zincati:rolling:3020190711144249:a23e773d-0.x86_64
 Problem 17: conflicting requests
  - nothing provides module(platform:f30) needed by module tokei:rolling:3020190714161140:a23e773d-0.x86_64
 Problem 18: conflicting requests
  - nothing provides module(platform:f30) needed by module stratis:1:3020190507073310:2c789dff-0.x86_64
 Problem 19: conflicting requests
  - nothing provides module(platform:f30) needed by module standard-test-roles:3.0:3020190716154400:a5b0195c-0.x86_64
 Problem 20: conflicting requests
  - nothing provides module(platform:f30) needed by module skim:rolling:3020190720171217:a23e773d-0.x86_64
 Problem 21: conflicting requests
  - nothing provides module(platform:f30) needed by module silver:rolling:3020190728135623:a23e773d-0.x86_64
 Problem 22: conflicting requests
  - nothing provides module(platform:f30) needed by module sd:rolling:3020190720191144:a23e773d-0.x86_64
 Problem 23: conflicting requests
  - nothing provides module(platform:f30) needed by module rpick:latest:3020190515141045:2c789dff-0.x86_64
 Problem 24: conflicting requests
  - nothing provides module(platform:f30) needed by module ripgrep:latest:3020190803131619:a23e773d-0.x86_64
 Problem 25: conflicting requests
  - nothing provides module(platform:f30) needed by module pretty-git-prompt:rolling:3020190714104357:a23e773d-0.x86_64
 Problem 26: conflicting requests
  - nothing provides module(platform:f30) needed by module newsboat:latest:3020190722112326:a23e773d-0.x86_64
 Problem 27: conflicting requests
  - nothing provides module(platform:f30) needed by module meson:latest:3020190417114446:36245242-0.x86_64
 Problem 28: conflicting requests
  - nothing provides module(platform:f30) needed by module lsd:rolling:3020190803124134:a23e773d-0.x86_64
 Problem 29: conflicting requests
  - nothing provides module(platform:f30) needed by module hyperfine:latest:3020190721071357:a23e773d-0.x86_64
 Problem 30: conflicting requests
  - nothing provides module(platform:f30) needed by module heatseeker:latest:3020190721075449:a23e773d-0.x86_64
 Problem 31: conflicting requests
  - nothing provides module(platform:f30) needed by module gimp:2.10:3020190614215426:a5b0195c-0.x86_64
 Problem 32: conflicting requests
  - nothing provides module(platform:f30) needed by module ffsend:latest:3020190630105436:a23e773d-0.x86_64
 Problem 33: conflicting requests
  - nothing provides module(platform:f30) needed by module fedora-coreos-pinger:rolling:3020190720131029:a23e773d-0.x86_64
 Problem 34: conflicting requests
  - nothing provides module(platform:f30) needed by module fd-find:rolling:3020190722174030:a23e773d-0.x86_64
 Problem 35: conflicting requests
  - nothing provides module(platform:f30) needed by module exa:latest:3020190721165838:a23e773d-0.x86_64
 Problem 36: conflicting requests
  - nothing provides module(platform:f30) needed by module cbindgen:rolling:3020190515070043:2c789dff-0.x86_64
 Problem 37: conflicting requests
  - nothing provides module(platform:f30) needed by module bat:latest:3020190714171319:a23e773d-0.x86_64
 Problem 38: conflicting requests
  - nothing provides module(platform:f30) needed by module avocado:stable:3020190514191910:a5b0195c-0.x86_64
 Problem 39: conflicting requests
  - nothing provides module(platform:f30) needed by module askalono-cli:rolling:3020190721090701:a23e773d-0.x86_64
 Problem 40: conflicting requests
  - nothing provides module(platform:f30) needed by module afterburn:rolling:3020190724160424:a23e773d-0.x86_64
 Problem 41: conflicting requests
  - nothing provides module(platform:f30) needed by module dwm:6.1:3020190304180429:a5b0195c-0.x86_64
 Problem 42: conflicting requests
  - nothing provides module(platform:f30) needed by module fish:3:3020190301191132:602da195-0.x86_64
 Problem 43: conflicting requests
  - nothing provides module(platform:f30) needed by module libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
 Problem 44: conflicting requests
  - nothing provides module(platform:f30) needed by module minetest:5:3020190308194723:a5b0195c-0.x86_64
 Problem 45: conflicting requests
  - nothing provides module(platform:f30) needed by module ninja:latest:3020190304180949:a5b0195c-0.x86_64
Dependencies resolved.
========================================================================================================================================================================================================
 Package                                               Architecture                            Version                                                  Repository                                 Size
========================================================================================================================================================================================================
Installing:
 kernel-core                                           x86_64                                  5.3.0-0.rc4.git1.1.fc32                                  rawhide                                    31 M
 kernel-modules                                        x86_64                                  5.3.0-0.rc4.git1.1.fc32                                  rawhide                                    29 M
Installing dependencies:
 kernel                                                x86_64                                  5.3.0-0.rc4.git1.1.fc32                                  rawhide                                    36 k
Removing:
 kernel-core                                           x86_64                                  5.2.5-200.fc30                                           @updates                                   66 M
 kernel-modules                                        x86_64                                  5.2.5-200.fc30                                           @updates                                   28 M
Removing dependent packages:
 kernel-modules-extra                                  x86_64                                  5.2.5-200.fc30                                           @updates                                  2.1 M

Transaction Summary
========================================================================================================================================================================================================
Install  3 Packages
Remove   3 Packages

Total download size: 60 M
Is this ok [y/N]: y
Downloading Packages:
(1/3): kernel-5.3.0-0.rc4.git1.1.fc32.x86_64.rpm                                                                                                                         91 kB/s |  36 kB     00:00    
(2/3): kernel-modules-5.3.0-0.rc4.git1.1.fc32.x86_64.rpm                                                                                                                4.1 MB/s |  29 MB     00:07    
(3/3): kernel-core-5.3.0-0.rc4.git1.1.fc32.x86_64.rpm                                                                                                                   3.7 MB/s |  31 MB     00:08    
--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                   6.9 MB/s |  60 MB     00:08     
warning: /var/cache/dnf/rawhide-2d95c80a1fa0a67d/packages/kernel-5.3.0-0.rc4.git1.1.fc32.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID 12c944d0: NOKEY
Fedora - Rawhide - Developmental packages for the next Fedora release                                                                                                   1.6 MB/s | 1.6 kB     00:00    
Importing GPG key 0xCFC659B9:
 Userid     : "Fedora (30) <fedora-30-primary@fedoraproject.org>"
 Fingerprint: F1D8 EC98 F241 AAF2 0DF6 9420 EF3C 111F CFC6 59B9
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-30-x86_64
Is this ok [y/N]: y
Key imported successfully
Import of key(s) didn't help, wrong key(s)?
Public key for kernel-5.3.0-0.rc4.git1.1.fc32.x86_64.rpm is not installed. Failing package is: kernel-5.3.0-0.rc4.git1.1.fc32.x86_64
 GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-30-x86_64
Public key for kernel-core-5.3.0-0.rc4.git1.1.fc32.x86_64.rpm is not installed. Failing package is: kernel-core-5.3.0-0.rc4.git1.1.fc32.x86_64
 GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-30-x86_64
Public key for kernel-modules-5.3.0-0.rc4.git1.1.fc32.x86_64.rpm is not installed. Failing package is: kernel-modules-5.3.0-0.rc4.git1.1.fc32.x86_64
 GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-30-x86_64
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: GPG check FAILED


I do not wish to proceed without additional guidance.

Comment 2 Mykel Alvis 2019-08-17 13:03:09 UTC
My apologies.  Apparently something caused me to submit the bug without all the information.

This system is connected to a Samsung 28" "Electric Display", a 4K monitor that worked reliably until Kernel 5.2.x
The docking station is a Dell Model PR02X (or PRO2x, I can't tell).  It has 2 (hires) video outputs that have both DVI and DisplayPort connectrs 
BIOS reports that the Latitude E5440 has Intel HD Graphics at version 5.0.1034 with 64Mb of video ram.  
The BIOS is at the latest version from Dell's website.

I'd like to reiterate that this hardware configuration works with Kernel 5.1.20 reliably.  
I'm aware that changes were made to various display codebases in the 5.2.x versions.


4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:
The issue reproduces reliably.  Update of kernel to anything post 5.1.20 and rebooting causes a blank screen.  The display on the laptop functions for login, but then the swaps to the (non-functioning) attached 4K display. 
Removing the cable and rebooting allows a laptop-only boot to proceed as expected with 5.2.x+ but obviously without 4K display.

Plugging DisplayPort cable back into port 1 of the docking station causes the same effect as attempting the boot (i.e. no signal and the display eventually goes to powersave mode)

Plugging DisplayPort cable into port TWO is more interesting. If I set resulution to 2560x1440 instead of 3840x2160, the system can use the 4K display as an extended monitory.  
This is sub-optimal, due to both lower resolution and the inability to keep the laptop lid closed.

Display mirroring with port 2 works due to low resolution
I cannot get port 1 to display anything.

Please indicate how I can assist.

Comment 3 Mykel Alvis 2019-09-05 12:47:37 UTC
An update 2 weeks ago soft-bricked my laptop entirely (i.e. the displays didn't work at all but I could ssh into it to retrieve all my data).
I did a full reinstall for F30.  

The 4K display attached to my dock worked fine until I updated. 
Then, as previously, the 4K display stopped working at 4K.  It DOES work at 2560x1440 (which I have currently left it at).

I have retried the Rawhide install and I still get the results seen above in the comment from 2019-08-17 11:50:51 UTC

Comment 4 Marc K. 2019-09-16 20:25:34 UTC
I have the same problem with a LENOVO ThinkPad X1 Carbon 6th connected to an ASUS VP28UQG 28" monitor via a Lenovo ThinkPad Thunderbolt 3 Dock.

3840x2160 @ 60Hz was working with all kernels up to 5.1 and stopped working with kernel 5.2. 

The latest kernel I have tried is 5.2.14-200.fc30.x86_64. 3840x2160 @ 30Hz works, but when I try to switch to 60Hz the screen stays black.

Please let me know how I can help to fix the problem.

Comment 5 Marc K. 2019-09-17 18:44:58 UTC
3840x2160 @ 60Hz is working again for me with kernel-5.3.0-1.fc31 (from https://koji.fedoraproject.org/koji/packageinfo?packageID=8 ). I haven't tried 5.2.15.

Comment 6 Mykel Alvis 2019-10-03 12:04:05 UTC
I concur.  

Whatever the problem was, it appears to have disappeared with kernel-5.3.0-1.  Now I need to go get my glasses again. :D


Note You need to log in before you can comment on or make changes to this bug.